﻿using igComboSample.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igComboSample.Controllers
{
    public class HomeController : Controller
    {
        // Helper function for setting the possible options for the dropdown
        public void SetOptions(List<Options> data)
        {
            var p = new Options() {Name = "White"};
            data.Add(p);
            p = new Options() { Name = "Black"};
            data.Add(p);
            p = new Options() { Name = "Violet" };
            data.Add(p);

        }

        public ActionResult Index()
        {
            List<Options> data = new List<Options>();
            SetOptions(data);
            return View(data.AsQueryable());
        }

        public JsonResult GetData()
        {
            List<Options> data = new List<Options>();
            var p = new Options() { Name = "White" };
            data.Add(p);
            p = new Options() { Name = "Black" };
            data.Add(p);
            p = new Options() { Name = "Violet" };
            data.Add(p);
            JsonResult result = new JsonResult();
            result.Data = data;
            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
            
        }

    }
}
